org.eclipse.rdf4j.rio.helpers

## Enum RDFaVersion

- java.lang.Object
- - java.lang.Enum<RDFaVersion>
  - - org.eclipse.rdf4j.rio.helpers.RDFaVersion

- All Implemented Interfaces:
    Serializable, Comparable<RDFaVersion>

      public enum RDFaVersion
      extends Enum<RDFaVersion>

  Enumeration for tracking versions of the RDFa specification to specify processing capabilities of RDFa modules.
  Author:
    Peter Ansell

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RDFA_1_0` The initial RDFa 1.0 version (2008)
    `RDFA_1_1` The modified RDFa 1.1 version (2012)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `String` | `getReference()`
    `static RDFaVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RDFaVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RDFA_1_0

          public static final RDFaVersion RDFA_1_0

      The initial RDFa 1.0 version (2008)
      See Also:
        RDFa in XHTML: Syntax and Processing

    - #### RDFA_1_1

          public static final RDFaVersion RDFA_1_1

      The modified RDFa 1.1 version (2012)
      See Also:
        RDFa Core 1.1

  - ### Method Detail

    - #### values

          public static RDFaVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RDFaVersion c : RDFaVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RDFaVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReference

          public String getReference()

      Returns:
        Returns the reference URL for the given version.

    - #### getLabel

          public String getLabel()

      Returns:
        Returns the label.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.